Title: I Mean, Yes, I Agree That Man Should Allocate Some More Categories, But
Date: 2020-01-01
Category: commentary
Tags: epistemology, Ozy
Status: draft

This post is a reply to [friend of the blog](/tag/ozy/) Ozymandias's [reply](TODO: linky) to [my reply](/2018/Feb/the-categories-were-made-for-man-to-make-predictions/) to Scott Alexander's ["The Categories Were Made for Man, Not Man for the Categories"](http://slatestarcodex.com/2014/11/21/the-categories-were-made-for-man-not-man-for-the-categories/).

After summarizing the discussion so far, Ozy

> Saotome-Westlake argues for the existence of a third definition, based on psychology. He argues that (some) trans people are psychologically different from cisgender members of their identified genders: if you graph, say, how likely cisgender women are to be members of the rationalist community, and how likely transgender women are to be members of the rationalist community, these charts will not look very much like each other at all. Therefore, it makes sense to consider trans people to be members of their assigned gender at birth for some purposes.

[gut take, not sure where/how it belongs in the post: I have misgivings about this, because I'm not a _fan_ of psychological sexual dimorphism and it feels weird to be painted as a defender of it. But, but—if the difference is still going to _be there_ no matter how I feel about it, then that's _worth noticing_]


> So by Saotome-Westlake’s argument, any group of women whose interests and personality traits, on average, observably differ from that of women as a whole ought to be classified as not actually women at all.
> 
> By extension, lesbians are not women.

I do want to note that my post does (briefly) anticipate the "by that argument, lesbians aren't women" _ad absurdum_ objection. (See the few paragraphs [starting with](TODO: hash-fragment linky), "To this it might be objected that there are many different types of women".)

[...]

> If the Cohen's d effect size is 1 (commonly glossed as "large"), a full 24% of women will have less psychological femaleness than the average man, which means that 98.67% of your problem is a cisgender female problem.

[I _wish_ it were _d_=1! link the research on multivariate differences and how it might actually be d=2.7]

[Talk about the value of bright lines as resistance to rules-lawyering? And like—agreeing that people are complex and should be treated as individuals rather than rounded off to a category, but biological sex is still allowed to be an _input_ to your modeling function?]

[The money argument is a good place to start—I agree that money and gender are both "social constructs" in a relevant and sane sense—but there are constraints as to what social constructs are _stable_: cigarettes emerge as prison currency because they _function_ as a store of value. There's a big space of possible currencies, but some of them will be "interpreted as damage and routed around". AGPs as a _third gender_, or unfeminine women (who these days are increasingly coming out as AFAB enby) as a _third gender_ is way more tenable than "AGPs are women."]

[Address the "our social genders should be fully consensual"—what about consent of the modelers in addition to consent of the modeled?]
